%bcond_with check
%global debug_package %{nil}

%global goipath         github.com/dennwc/btrfs
%global commit          0167142bde7ad9f5181a6a92eafe1f3c0c2af9fb

%gometa -L

%global common_description %{expand:
Btrfs library in a pure Go.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           golang-github-dennwc-btrfs
Version:        0
Release:    1%{?dist}
Summary:        Btrfs library in a pure Go

License:        Apache-2.0
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Jul 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-1
- initial build
